#![no_std]

pub mod interface;
pub mod register;
pub mod vga;

#[macro_export]
macro_rules! panic_handler {
    () => {
        #[panic_handler]
        fn panic(_info: &core::panic::PanicInfo) -> ! {
            unsafe {
                $crate::vga::VGA::draw_string(0, 0, "PANIC !", $crate::vga::WHITE);
            }
            loop {}
        }
    };
}
